Holger's Java API

## com.antelmann.util
Class MonitorDelegate

    java.lang.Object
      com.antelmann.util.Monitor
          com.antelmann.util.MonitorDelegate

All Implemented Interfaces:
  Enabled, Task<RuntimeException>

    public class MonitorDelegate

extends Monitor

The relevant calls to the monitor are delegated to a ProgressMonitor or JProgressBar or Logger.

Author:
  Holger Antelmann

Field Summary

Fields inherited from class com.antelmann.util.Monitor
`test, timer`

Fields inherited from interface com.antelmann.util.Enabled
`FILTER`

Constructor Summary
`MonitorDelegate()`
`MonitorDelegate(JProgressBar bar)`
`MonitorDelegate(Logger logger)`
`MonitorDelegate(ProgressMonitor mon)`

Method Summary
`boolean` `disabled()`
`void` `done()` the effect can only be reversed through reInitialize()
`boolean` `enabled()`
`JProgressBar` `getJProgressBar()`
`Logger` `getLogger()`
`Level` `getLogLevel()`
`ProgressMonitor` `getProgressMonitor()`
`void` `increment()`
`void` `setJProgressBar(JProgressBar bar)`
`void` `setLogger(Logger logger)`
`void` `setLogLevel(Level level)`
`void` `setMax(int number)`
`void` `setMessage(String msg)`
`void` `setMin(int number)`
`void` `setNumber(int number)`
`void` `setProgressMonitor(ProgressMonitor mon)`

Methods inherited from class com.antelmann.util.Monitor
`disable, disableLater, enable, getMax, getMessage, getMin, getNumber, getNumber, getObject, getObject, getSize, getTask, getTimer, increment, isDone, isEnabled, reInitialize, reInitialize, runTask, setEnabled, setNumber, setObject, setObject, setTask, test, test`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonitorDelegate

    public MonitorDelegate()

### MonitorDelegate

    public MonitorDelegate(ProgressMonitor mon)

### MonitorDelegate

    public MonitorDelegate(JProgressBar bar)

### MonitorDelegate

    public MonitorDelegate(Logger logger)

Method Detail

### getProgressMonitor

    public ProgressMonitor getProgressMonitor()

### getJProgressBar

    public JProgressBar getJProgressBar()

### getLogger

    public Logger getLogger()

### setProgressMonitor

    public void setProgressMonitor(ProgressMonitor mon)

### setJProgressBar

    public void setJProgressBar(JProgressBar bar)

### setLogger

    public void setLogger(Logger logger)

### getLogLevel

    public Level getLogLevel()

### setLogLevel

    public void setLogLevel(Level level)

### setNumber

    public void setNumber(int number)

  Overrides:
    `setNumber` in class `Monitor`

### increment

    public void increment()

  Overrides:
    `increment` in class `Monitor`

### setMessage

    public void setMessage(String msg)

  Overrides:
    `setMessage` in class `Monitor`

### setMin

    public void setMin(int number)

  Overrides:
    `setMin` in class `Monitor`

### done

    public void done()

  Description copied from class: `Monitor`
  the effect can only be reversed through reInitialize()

  Overrides:
    `done` in class `Monitor`

### enabled

    public boolean enabled()

  Overrides:
    `enabled` in class `Monitor`

### disabled

    public boolean disabled()

  Overrides:
    `disabled` in class `Monitor`

### setMax

    public void setMax(int number)

  Overrides:
    `setMax` in class `Monitor`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads